A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< long long > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = s64 , ctype = s64 }
typedef long long | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 124 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef long long base_type

Definition at line 129 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 125 of file traits.hpp.

125 {
126 af_type = s64 ,
127 ctype = s64
128 };
s64
@ s64
64-bit signed integral values
Definition defines.h:219
af::dtype_traits< long long >::af_type
@ af_type
Definition traits.hpp:126
af::dtype_traits< long long >::ctype
@ ctype
Definition traits.hpp:127

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 130 of file traits.hpp.

130{ return "long"; }

The documentation for this struct was generated from the following file:

- traits.hpp